@import "pulsegala2026constant.css";
@import "partials/layout.css";
@import "partials/default.css";
@import "partials/navbar.css";
@import "partials/table.css";
@import "partials/social-footer.css";
@import "partials/new-menu.css";

.headerBanner {
    background-position: center center !important;

    .logoWrapper {
        width: unset;
        flex-shrink: 0;
    }

    .heroLogo {
        /* height: 160px; */
        height: 130px;
        width: auto;
        margin-top: 20px;
    }

    .headerContent {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        flex-grow: 1;
        gap: 30px;
        width: 100%;
    }

    .headerContentCenter {
        flex-grow: 1;
        white-space: nowrap;
        overflow: hidden;
        position: relative;
        display: flex;
        border-top: 1px solid #c09649;
        border-bottom: 1px solid #c09649;
        padding: 15px 0;

        div {
            font-family: "Palatino", "Times New Roman", serif;
            font-size: 60px;
            line-height: 1.1;
            font-weight: 500;
            color: #f5dfa3;
            align-self: center;
            margin: 0 auto;
            text-align: center;
        }
    }

    .headerContentRight {
        text-align: center;
        color: white;
        flex-shrink: 0;
        min-width: 150px;
        margin-bottom: 20px;
    }

    .headerContentRight p {
        margin: 0;
        font-size: 16px;
        font-weight: 400;
        line-height: 1.2;
    }

    .headerContentRight p:first-child {
        font-family: "Palatino", "Times New Roman", serif;
        font-size: 32px;
        font-weight: 500;
        margin-bottom: 0;
    }

    .headerContentRight p:nth-child(2) {
        font-family: "Palatino", "Times New Roman", serif;
        font-size: 60px;
        font-weight: 500;
        margin-bottom: 0;
    }
}

@media screen and (min-width: 1345px) and (max-width: 1510px) {
    .headerBanner {
        .headerContentCenter {
            div {
                font-size: 50px;
            }
        }
    }
}

@media screen and (min-width: 1200px) and (max-width: 1344px) {
    .headerBanner {
        .headerContentCenter {
            div {
                font-size: 40px;
            }
        }
    }
}

@media screen and (max-width: 440px) {
    .headerBanner {
        .headerContentCenter {
            div {
                font-size: 46px;
            }
        }
    }
}

@media screen and (min-width: 1200px) {
    .headerBanner {
        .heroLogo {
            height: 120px;
            margin-top: 0px;
        }
        .headerContent {
            flex-direction: row;
        }

        .logoWrapper {
            padding-right: 35px;
            border-right: 1px solid #c09649;
        }

        .headerContentCenter {
            border-top: 0;
            border-bottom: 0;
            padding: 0;
            div {
                padding-right: 20px;
            }
        }

        .headerContentCenter::after {
            content: "";
            position: absolute;
            right: 0; /* Half of gap */
            top: 0;
            bottom: 0;
            width: 1px;
            background-color: #c09649;
        }
        .headerContentRight {
            margin-bottom: 0;
        }
    }
}

.body {
    padding-inline: 15px !important;
}

@media (max-width: 1200px) {
    span.mobile-break:after {
        content: "\A";
        white-space: pre;
    }
}

@media screen and (min-width: 577px) and (max-width: 1200px) {
    h1,
    main h1 {
        font-size: 36px !important;
        line-height: 1.1 !important;
    }
    h2,
    h2.h2-small,
    main h2,
    main h2.h2-small {
        font-size: 22px !important;
        line-height: 1.1 !important;
    }
}

@media screen and (max-width: 576px) {
    h1,
    main h1 {
        font-size: 29px !important;
        line-height: 1.1 !important;
    }
    h2,
    h2.h2-small,
    main h2,
    main h2.h2-small {
        font-size: 20px !important;
        line-height: 1.1 !important;
    }

    .body p {
        font-size: 16px !important;
        line-height: 1.3 !important;
    }
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 500;
}

h1 {
    text-transform: uppercase;
    font-size: 60px;
    line-height: 1.1;
}

h2 {
    font-size: 30px !important;
    line-height: 1.1 !important;
}

h2.h2-small {
    font-size: 24px !important;
    line-height: 1.1 !important;
}

h2 + p {
    margin-top: 20px;
}

p {
    margin-top: 20px;
}

h1.alt {
    font-size: 44px !important;
}

h2.text-color {
    color: var(--textcolor) !important;
}

.palantino {
    font-family: "Palatino", serif !important;
    font-weight: 400;
}

main .btn {
    border-radius: 30px;
    font-weight: 500;
    padding: 15px 15px;
    font-size: 18px;
    &:hover {
        color: #fff !important;
    }
    &.btn-wide {
        max-width: 450px !important;
    }
}

.background-alt {
    background-color: #fff7e8;
}

.background-alt-w-white {
    background: #fff7e8;
    background: linear-gradient(180deg, rgba(255, 255, 255, 1) 10%, rgba(255, 247, 232, 1) 10%) !important;
}

/*about crf*/
.logo-lockup {
    img {
        max-width: 250px;
    }

    .box-33 {
        display: flex;
        align-content: center;
        justify-content: center;
    }
}

/* about the gala */

.past-honorees-carousel {
    color: var(--textcolor) !important;
}

.page--about-the-gala {
    h1 + h2 {
        margin-top: 10px !important;
    }
    .slick-arrow.slick-next,
    .slick-arrow.slick-prev {
        svg {
            stroke: #3c0052 !important;
        }
    }
}

@media screen and (max-width: 859px) {
    .page--about-the-gala {
        /* .past-honorees-carousel, */
        .past-galas-carousel {
            .active-img {
                object-fit: contain !important;
            }
        }
        .slick-slider {
            max-width: 80% !important;
        }
        .slick-arrow.slick-next,
        .slick-arrow.slick-prev {
            top: 30% !important;
        }
    }
}

/* Social Footer */

.socialFooter,
.socialFooterCustom {
    background: linear-gradient(180deg, rgba(190, 150, 73, 1) 5%, rgba(61, 6, 82, 1) 100%) !important;
}
